# some grunt packages are not in fedora yet
%global enable_tests 0
%global module_name pem

Name:           nodejs-%{module_name}
Version:        1.9.8
Release:        2%{?dist}
Summary:        Create private keys and certificates with node.js and io.js

License:        MIT
URL:            https://github.com/andris9/pem
Source0:        https://github.com/Dexus/%{module_name}/archive/v%{version}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging
BuildRequires:  npm(which)
BuildRequires:  npm(os-tmpdir)

%if 0%{?enable_tests}
BuildRequires:  npm(grunt)
BuildRequires:  npm(grunt-contrib-jshint)
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(nodeunit)
BuildRequires:  npm(semantic-release)
BuildRequires:  npm(semantic-release-tamia)
%endif

%description
%{summary}.

%prep
%autosetup -n %{module_name}-%{version}
rm -rf node_modules

%nodejs_fixdep which ~1.x

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json lib %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
grunt
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{module_name}

%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Sep 06 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.9.8-1
- Update to 1.9.8 version

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun May 07 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.9.6-1
- Update to 1.9.6 version

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 05 2016 Parag Nemade <pnemade AT redhat DOT com> - 1.9.4-1
- Update to 1.9.4

* Tue May 03 2016 Parag Nemade <pnemade AT redhat DOT com> - 1.8.3-1
- Update to 1.8.3 release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Sep 25 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.8.1-1
- Update to 1.8.1 version

* Wed Aug 26 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.8.0-1
- Update to 1.8.0 version

* Fri Aug 07 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.7.2-1
- Initial packaging

